GetVisualValidateResult
curl --request POST \
--url https://api.tensorslab.com/v1/video/import requests
url = "https://api.tensorslab.com/v1/video/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.tensorslab.com/v1/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tensorslab.com/v1/video/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tensorslab.com/v1/video/"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tensorslab.com/v1/video/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tensorslab.com/v1/video/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyActions
GetVisualValidateResult
Get visual verification result
GetVisualValidateResult
curl --request POST \
--url https://api.tensorslab.com/v1/video/import requests
url = "https://api.tensorslab.com/v1/video/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.tensorslab.com/v1/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tensorslab.com/v1/video/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tensorslab.com/v1/video/"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tensorslab.com/v1/video/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tensorslab.com/v1/video/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodySelect Try it, enter AK/SK and request fields, then send or copy signed cURL into Postman.
Returns Pending until completion, then GroupId in Result.
All Actions · Asset management and errors
POST https://api.tensorslab.com/v1/video/?Action=GetVisualValidateResult&Version=2024-01-01
Request parameters
| Parameter | Required | Description |
|---|---|---|
ProjectName | No | Defaults to default; must be authorized for these credentials. |
BytedToken | Yes | Token returned by the visual verification session. |
Example response
{
"ResponseMetadata": {
"RequestId": "request-example",
"Action": "GetVisualValidateResult",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {
"Status": "Pending"
}
}